import QtQuick 2.5
import com.zuragon.ViCANdo 1.0
import QtQuick.Controls 1.4

Rectangle {
    id: comp1
    width: 600
    height: 400
    color: "#D6DBDF"


    SourceEventListener {
        source: project.findObject("tcp0")

        onDataReceived: {
        }
    }


    SourceEventListener {
        source: project.findObject("tcp1")

        onDataReceived: {
        }
    }

    Button {
        id: send_tcp0
        x: 30
        y: 188
        width: 110
        height: 25
        text: qsTr("Send to client")

        onClicked: {
            var tcp0 = project.findObject("tcp0")
            var d = [1,2,3,4,5,6,7,8,9]
            tcp0.send(d)
        }
    }

    Button {
        id: send_tcp1
        x: 180
        y: 188
        width: 110
        height: 25
        text: qsTr("Send to server")

        onClicked: {
            var tcp1 = project.findObject("tcp1")
            var d = [11,22,33,44,55,66,77,88,99]
            tcp1.send(d)
        }
    }

	
    Label {
        id: label1
        x: 30
        y: 75
		font.pointSize: 10 
        text: qsTr("ViCANdo QML example - Send data between TCP client and server")
    }
	
    Label {
        id: label2
        x: 30
        y: 158
        width: 101
        height: 17
        text: qsTr("Client")
    }

    Label {
        id: label3
        x: 180
        y: 158
        text: qsTr("Server")
    }

}
